com.io7m.jregions.core.unparameterized.areas

## Class AreaF

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaF

- All Implemented Interfaces:
    AreaFType, AreaValuesFType, AreaSizeValuesFType

      @Generated(value={"Immutables.generator","AreaFType"})
      public final class AreaF
      extends Object
      implements AreaFType

  An area with `float` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaF.Builder` Builds instances of type `AreaF`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AreaF.Builder` | `builder()` Creates a builder for `AreaF`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaF` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`.
    `float` | `height()` Deprecated. Use `AreaValuesFType.sizeY()`
    `float` | `maximumX()`
    `float` | `maximumY()`
    `float` | `minimumX()`
    `float` | `minimumY()`
    `static AreaF` | `of(float minimumX, float maximumX, float minimumY, float maximumY)` Construct a new immutable `AreaF` instance.
    `String` | `toString()` Prints the immutable value `AreaF` with attribute values.
    `float` | `width()` Deprecated. Use `AreaValuesFType.sizeX()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.areas.AreaFType

      `checkPreconditions`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.areas.AreaValuesFType

      `sizeX, sizeY`

- - ### Method Detail

    - #### minimumX

          public float minimumX()

      Specified by:
        `minimumX` in interface `AreaFType`
      Specified by:
        `minimumX` in interface `AreaValuesFType`
      Returns:
        The value of the `minimumX` attribute

    - #### maximumX

          public float maximumX()

      Specified by:
        `maximumX` in interface `AreaFType`
      Specified by:
        `maximumX` in interface `AreaValuesFType`
      Returns:
        The value of the `maximumX` attribute

    - #### minimumY

          public float minimumY()

      Specified by:
        `minimumY` in interface `AreaFType`
      Specified by:
        `minimumY` in interface `AreaValuesFType`
      Returns:
        The value of the `minimumY` attribute

    - #### maximumY

          public float maximumY()

      Specified by:
        `maximumY` in interface `AreaFType`
      Specified by:
        `maximumY` in interface `AreaValuesFType`
      Returns:
        The value of the `maximumY` attribute

    - #### width

          @Deprecated
          public float width()

      Deprecated. Use `AreaValuesFType.sizeX()`
      Specified by:
        `width` in interface `AreaSizeValuesFType`
      Returns:
        The width of the area

    - #### height

          @Deprecated
          public float height()

      Deprecated. Use `AreaValuesFType.sizeY()`
      Specified by:
        `height` in interface `AreaSizeValuesFType`
      Returns:
        The height of the area

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaF` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `minimumX`, `maximumX`, `minimumY`, `maximumY`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaF` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaF of(float minimumX,
                                 float maximumX,
                                 float minimumY,
                                 float maximumY)

      Construct a new immutable `AreaF` instance.
      Parameters:
        `minimumX` - The value for the `minimumX` attribute
        `maximumX` - The value for the `maximumX` attribute
        `minimumY` - The value for the `minimumY` attribute
        `maximumY` - The value for the `maximumY` attribute
      Returns:
        An immutable AreaF instance

    - #### builder

          public static AreaF.Builder builder()

      Creates a builder for `AreaF`.
      Returns:
        A new AreaF builder

Copyright © 2017 <code@io7m.com> http://io7m.com